# Hailwarning Driver

This driver acts as a safety measure and is intended to use for the protection of shades and other equipment which could get damaged by hail. It fetches the according weather forecast/status from [https://meteo.netitservices.com](https://meteo.netitservices.com). To get a proper response an account has to be set up on: [https://www.hagelschutz-einfach-automatisch.ch/eigentuemer-verwaltungen.html]
When creating an account you receive the needed Device ID and Hardware Type ID.

## Properties

### Driver Version

Displays the current version of the driver.

### Debug Mode

When set to „Print“, additional information is displayed in the drivers Lua Output Window.
When set to „Log“ additional information is logged via Composer’s logging capabilities.

Note: After 30 minutes it is automatically set to „Off“.

### Device ID

a 12-character long unique identifier

### Hardware Type ID

Identifier (integer) distinguishing the type of device.

### Polling Interval

Interval in seconds for periodic update of hail status. The weather forecast is calculated every 5 minutes. The maximum amount of polls per day is 750 polls. Therefore the minimal and also default polling interval is 120 seconds.

Polling starts automatically after Hardware Type ID and Device ID are entered in the corresponding fields.

### Hail Status

Displays the current status. (Hail/no Hail)

### Last Status update

Displays the date and time of last working status update.

### Cloud Status

Displays the connection status to the DriverCentral cloud.

### Automatic Updates

Enable or disable automatic driver updates.

## Actions

### Start Polling

Starts periodic polling according to set interval. Function is automatically invoked during driver initialization or when changing either Device ID or Hardware Type ID (if both of them are not NULL).

### Update Status

Directly requests status. Intended to use during setup and testing to skip polling interval.

## Events

### Hail Detected

Event fires when hail is detected during polling.

### No Hail

Event fires when hail is no longer detected during polling.

Note: Event only fires when status changes. Doesn't fire during polling whe status remains unchanged.

## Support

**Contact information:**

Sinevo Development

development@sinevo.ch

## Changelog

**20250430**

initial release of the driver

